Deposits operation allows you to initiate a deposit for asynchronous processing.
Learn more!
See what the deposit flow looks like with PawaPay and for your customers.
This API call is idempotent, which means it is safe to submit a request with the same depositId multiple times.
Duplicate requests with the same depositId will be ignored with the DUPLICATE_IGNORED status in the response.
Since the request can rejected, you must check the status code in the response for each submitted request. The rejectionReason in the response will contain information about the reason of the rejection.
Each request can get one of the statuses on initiation:
Status
Description
ACCEPTED
Yes
The deposit request has been accepted by PawaPay for processing.
REJECTED
No
The deposit request has been rejected. See rejectionReason for details.
DUPLICATE_IGNORED
No
The deposit request has been ignored as a duplicate of an already accepted deposit request. Duplication logic relies upon depositId.
Short description for the transaction.
Depending on the specific MMO performing the transaction this message may be visible to the customer in the SMS receipt or within their transaction history.
A list of metadata that you can attach to the payment for providing additional context about the payment.
For example, adding orderId to indicate for which order this payment was for or customerId to know which customer this payment pertains to.
Metadata will not be visible to the customer that is party to this payment.
It will be visible in the PawaPay Dashboard on the payment details page and in your financial statements as a JSON object to support automated reconciliation.
It is also possible to search for recent payments in the PawaPay Dashboard using global search based on the values of metadata.
Up to 10 metadata fields can be attached to a payment.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"PawaPay Merchant API","colors":{"primary":"#7D3CFF","light":"#C3AFFF","dark":"#7D3CFF"},"logo":{"light":"https://mintcdn.com/pawapay/Kh3dyKjADbJS5N9-/images/pawapay_logo_black.svg?fit=max\u0026auto=format\u0026n=Kh3dyKjADbJS5N9-\u0026q=85\u0026s=dcb6b0f2f8b6c6e735e80732b4b9a8a0","dark":"https://mintcdn.com/pawapay/Kh3dyKjADbJS5N9-/images/pawapay_logo_white.svg?fit=max\u0026auto=format\u0026n=Kh3dyKjADbJS5N9-\u0026q=85\u0026s=045ebe0ed432187a1da3097d6a600fd0","href":"https://pawapay.io"},"favicon":"https://mintcdn.com/pawapay/5t50YVnmXOFXUEhT/images/favicon.png?fit=max\u0026auto=format\u0026n=5t50YVnmXOFXUEhT\u0026q=85\u0026s=c97dd58d1705627ef95648764043828d","background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://dashboard.sandbox.pawapay.io","label":"Sandbox login"}],"primary":{"type":"button","label":"Create account","href":"https://dashboard.sandbox.pawapay.io/#/merchant-signup"}},"footer":{"socials":{"website":"https://pawapay.io","linkedin":"https://www.linkedin.com/company/pawapay"}},"search":{"prompt":"Search/ask from AI (MIGHT NOT BE ACCURATE) "},"fonts":{"heading":{"family":"Instrument Sans","weight":600},"body":{"family":"Instrument Sans","weight":400}},"integrations":{"clearbit":{"publicApiKey":"pk_c7e1c1e424425978e94bb81fd8af7a14"},"mixpanel":{"projectToken":"b877b7fe27113f1d7e427b2cdbe8515f","region":"eu"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Run in Postman","icon":"circle-play","href":"https://app.getpostman.com/run-collection/25129489-56cbaf62-56c2-4734-bf1f-f61d369cc9e3?action=collection%2Ffork\u0026source=rip_markdown\u0026collection-url=entityId%3D25129489-56cbaf62-56c2-4734-bf1f-f61d369cc9e3%26entityType%3Dcollection%26workspaceId%3D8c3e7775-3da5-4bab-8a8c-ffb331ccfe27"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pawapay","hasAudioNarration":false,"actualSubdomain":"pawapay","customDomains":["docs.pawapay.io"],"gitSource":{"type":"github","owner":"pawapay","repo":"docs-hub","deployBranch":"develop","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae1fbb88a46f6fe5a230449","collectionId":"9d19457a-cc42-4d1f-87b4-bc21adfd4fdd","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae1fbb88a46f6fe5a230449"},"feedback":{"issues":true,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae1fbb88a46f6fe5a230449","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":56},{"language":"default","tag":"API docs","count":27},{"language":"default","tag":"Dashboard Docs","count":26},{"language":"default","tag":"Payouts","count":12},{"language":"default","tag":"Introduction","count":11},{"language":"default","tag":"Finances","count":10},{"language":"default","tag":"Refunds","count":9},{"language":"default","tag":"Deposits","count":8},{"language":"default","tag":"Toolkit","count":8},{"language":"default","tag":"Overview","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"v1/api-reference/deposits/request-deposit","slug":"/v1/api-reference/deposits/request-deposit","pageMetadata":{"openapi":"openapi_v1 post /deposits","description":null,"title":"Request deposit","href":"/v1/api-reference/deposits/request-deposit"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Card,CardGroup,Heading,Info,Table,Tooltip}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tooltip)_missingMdxReference(`Tooltip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Deposits operation allows you to initiate a deposit for asynchronous processing.`}),`\n`,_jsx(Card,{title:`Learn more!`,icon:`readme`,href:`/deposits`,horizontal:`true`,children:_jsx(_components.p,{children:`See what the deposit flow looks like with PawaPay and for your customers.`})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`This API call is `,_jsx(`em`,{children:`idempotent`}),`, which means it is safe to submit a request with the same `,_jsx(_components.code,{children:`depositId`}),` multiple times.`]}),`\n`,_jsxs(_components.li,{children:[`Duplicate requests with the same `,_jsx(_components.code,{children:`depositId`}),` will be ignored with the `,_jsx(_components.code,{children:`DUPLICATE_IGNORED`}),` status in the response.`]}),`\n`,_jsxs(_components.li,{children:[`Since the request can rejected, you must check the `,_jsx(_components.code,{children:`status`}),` code in the response for each submitted request. The `,_jsx(_components.code,{children:`rejectionReason`}),` in the response will contain information about the reason of the rejection.`]}),`\n`]}),`\n`,_jsx(_components.p,{children:`Each request can get one of the statuses on initiation:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:_jsx(Tooltip,{tip:`Will a callback be delivered after receiving this status on initiation?`,children:`Callback`})}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ACCEPTED`})}),_jsx(_components.td,{children:`Yes`}),_jsxs(_components.td,{children:[`The deposit request has been `,_jsx(_components.strong,{children:`accepted`}),` by PawaPay for processing.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`REJECTED`})}),_jsx(_components.td,{children:`No`}),_jsxs(_components.td,{children:[`The deposit request has been `,_jsx(_components.strong,{children:`rejected`}),`. See `,_jsx(_components.code,{children:`rejectionReason`}),` for details.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`DUPLICATE_IGNORED`})}),_jsx(_components.td,{children:`No`}),_jsxs(_components.td,{children:[`The deposit request has been ignored as a duplicate of an already accepted deposit request. Duplication logic relies upon `,_jsx(_components.code,{children:`depositId`}),`.`]})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`how-to-find-out-the-final-status-of-this-deposit`,children:`How to find out the final status of this deposit?`}),`\n`,_jsxs(_components.p,{children:[`As the PawaPay Merchant API is an `,_jsx(_components.a,{href:`/implementation#asynchronous-api`,children:`asynchronous API`}),`, you can find out the final status of the `,_jsx(_components.code,{children:`ACCEPTED`}),` deposit by either:`]}),`\n`,_jsxs(CardGroup,{cols:2,children:[_jsx(Card,{title:`Waiting for a callback`,icon:`webhook`,href:`/v1/api-reference/deposits/deposit-callback`,horizontal:`true`,children:_jsx(_components.p,{children:`If you have configured callbacks, just wait for it.`})}),_jsx(Card,{title:`Checking the status`,icon:`code-compare`,href:`/v1/api-reference/deposits/check-deposit-status`,horizontal:`true`,children:_jsx(_components.p,{children:`Or poll the Check Deposit Status endpoint.`})})]}),`\n`,_jsxs(Info,{children:[`Headers related to `,_jsx(_components.a,{href:`/using_the_api#signatures`,children:`signatures`}),` must only be included if you have enabled “Only accept signed requests”. Read more about it from the `,_jsx(_components.a,{href:`/dashboard/other/system_conf/api_tokens#signed-requests`,children:`PawaPay Dashboard documentation`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"openapi_v1 post /deposits","description":null,"title":"Request deposit","href":"/v1/api-reference/deposits/request-deposit"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"How to find out the final status of this deposit?","slug":"how-to-find-out-the-final-status-of-this-deposit","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["deposits"],"summary":"Request deposit","operationId":"createDeposit","requestBody":"7aef8eb1-e1dd-423e-91eb-333c97aee5d2","parameters":["3e165449-186c-4c6c-b291-a3e8ef8ff0f7","ee539231-28dd-486f-9000-7d4b5b2d3b60","863f954a-99c3-49b9-9888-256d4b90cf7e","656c7ad1-dc40-415c-9bf6-3c2cb95d3a35","d0ad54d4-0b00-4e41-be19-e4e1ee60d082"],"responses":{"200":"87ba74dd-a47b-4563-8bf2-ca6f278a7ae9","400":"a7f36669-acae-4e94-99cf-c0b6c441390b","401":"622ed05d-faf2-4d70-9c91-ab6636808e9a","403":"7311a777-b2d6-459b-aa35-4723913a560f","500":"001cd7b7-b89d-48cc-9012-8d8ccb8cecf6"},"method":"post","type":"path","servers":["321c7a20-9195-42cf-bd7e-d3f33a9abfd1","0a99643b-f413-409a-af4c-2db4372b65d3"],"security":["38397491-e1d3-47bd-a29e-385725b84bce"],"path":"/deposits","baseUrlOptions":["https://api.sandbox.pawapay.io","https://api.pawapay.io"],"title":"Request deposit","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"3e165449-186c-4c6c-b291-a3e8ef8ff0f7":{"in":"header","name":"Content-Digest","schema":{"type":"string","format":"string","description":"SHA-256 or SHA-512 hash of the request body.","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cstring>"},"required":false},"ee539231-28dd-486f-9000-7d4b5b2d3b60":{"in":"header","name":"Signature","schema":{"type":"string","format":"string","description":"Signature of the request according to [RFC-9421](https://datatracker.ietf.org/doc/rfc9421/).","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cstring>"},"required":false},"863f954a-99c3-49b9-9888-256d4b90cf7e":{"in":"header","name":"Signature-Input","schema":{"type":"string","format":"string","description":"Signature-Input according to [RFC-9421](https://datatracker.ietf.org/doc/rfc9421/).","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cstring>"},"required":false},"656c7ad1-dc40-415c-9bf6-3c2cb95d3a35":{"in":"header","name":"Accept-Signature","schema":{"type":"string","format":"string","description":"Expected signature algorithm of the response according to [RFC-9421](https://datatracker.ietf.org/doc/rfc9421/).","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cstring>"},"required":false},"d0ad54d4-0b00-4e41-be19-e4e1ee60d082":{"in":"header","name":"Accept-Digest","schema":{"type":"string","format":"string","description":"Expected digest algorithm of the response according to [RFC-9421](https://datatracker.ietf.org/doc/rfc9421/).","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cstring>"},"required":false}},"requestBody":{"content":{"application/json":{"schema":{"required":["depositId","amount","currency","correspondent","payer","customerTimestamp","statementDescription"],"type":"object","properties":{"depositId":{"minLength":36,"maxLength":36,"type":"string","format":"uuid","description":"A UUIDv4 based ID specified by you, that uniquely identifies the deposit.","example":"\u003cINSERT_UUID_FOR_DEPOSIT>","isRequired":true,"uniqueKey":"depositId","typeLabel":"string\u003cuuid>"},"amount":{"minLength":1,"maxLength":23,"type":"string","pattern":"^([0]|([1-9][0-9]{0,17}))([.][0-9]{0,3}[1-9])?$","description":"The amount to be collected (deposit) or disbursed (payout or refund). \n\nAmount must follow below requirements or the request will be **rejected**:\n* Between zero and two decimal places can be supplied, depending on what the specific MMO supports. Learn about all [MMO supported decimal places](/using_the_api#correspondents).\n* The minimum and maximum amount depends on the limits of the specific MMO. You can find them from the [Active Configuration](/v1/api-reference/toolkit/active-configuration) endpoint.\n* Leading zeroes are not permitted except where the value is less than 1. For any value less than one, one and only one leading zero must be supplied.\n* Trailing zeroes are permitted.\n\nValid examples:\n`5`, `5.0`, `5.00`, `5.5`, `5.55`, `5555555`, `0.5`\n\nNot valid examples:\n`5.`, `5.555`, `5555555555555555555`, `.5`, `-5.5`, `00.5`, `00.00`, `00001.32`\n","example":"15","isRequired":true,"uniqueKey":"amount","typeLabel":"string"},"currency":{"type":"string","description":"The currency in which the `amount` is specified.\n\nFormat must be the ISO 4217 three character currency code in upper case. Read more from [Wikipedia](https://en.wikipedia.org/wiki/ISO_4217#Active_codes).\n\nYou can find all the supported currencies that the specific `correspondent` supports [from here](/using_the_api#correspondents).\n\nThe [active configuration](/v1/api-reference/toolkit/active-configuration) endpoint provides the list of correspondents configured for your account together with the currencies.\n","example":"ZMW","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"correspondent":{"type":"string","description":"The correspondent code refers to the specific MMO that the specified phone number (MSISDN) has an active mobile money wallet with. \n\nYou can find all the supported correspondents [listed here](/using_the_api#correspondents). \n\nThe [active configuration](/v1/api-reference/toolkit/active-configuration) endpoint provides the list of correspondents configured for your account.\n\nYou can use the [predict correspondent](/v1/api-reference/toolkit/predict-correspondent) enpoint to predict the correct correspondent to use based on the phone number (MSISDN).\n","example":"MTN_MOMO_ZMB","isRequired":true,"uniqueKey":"correspondent","typeLabel":"string"},"payer":{"required":["address","type"],"type":"object","properties":{"type":{"type":"string","description":"The type of financial address. At the moment, only **MSISDN** is supported as the financial address. ","example":"MSISDN","enum":["MSISDN"],"isRequired":true,"uniqueKey":"payer.type","typeLabel":"enum\u003cstring>"},"address":{"required":["value"],"type":"object","properties":{"value":{"type":"string","description":"The phone number (MSISDN) of the payer or recipient.\nThe format is described in [Wikipedia](https://en.wikipedia.org/wiki/MSISDN). \n\nMSISDN validation has following rules:\n * Only digits without whitespaces or any other separators or prefixes like '+'.\n * Should not start with zero.\n * Country code is mandatory.\n * Should not exceed or be less than the valid length of specified country.\n \n Valid examples for Zambia:\n `260763456789`\n \n Not valid examples for Zambia:\n `+260763456789`, `260 763 456789`, `260-7634-56789`, `0260763456789`, `2607634567`, `260763456789543`, `999558708954`, `37255870895`\n","example":"260763456789","isRequired":true,"uniqueKey":"payer.address.value","typeLabel":"string"}},"isRequired":true,"uniqueKey":"payer.address","typeLabel":"object"}},"description":"The phone number (MSISDN) of the recipient or payer must be specified as the `value` of the `address`.","isRequired":true,"uniqueKey":"payer","typeLabel":"object"},"customerTimestamp":{"type":"string","description":"The timestamp of when the deposit was created in the PawaPay platform. Format defined by 'date-time' in RFC3339 section 5.6 from [IETF](https://tools.ietf.org/html/rfc3339#section-5.6)","format":"date-time","example":"2020-02-21T17:32:28Z","isRequired":true,"uniqueKey":"customerTimestamp","typeLabel":"string\u003cdate-time>"},"statementDescription":{"minLength":4,"maxLength":22,"type":"string","pattern":"^[a-zA-Z0-9 ]+$","description":"Short description for the transaction. \nDepending on the specific MMO performing the transaction this message may be visible to the customer in the SMS receipt or within their transaction history.\n\nMust be between **4 and 22 alphanumeric characters**.\n","example":"Note of 4 to 22 chars","isRequired":true,"uniqueKey":"statementDescription","typeLabel":"string"},"country":{"type":"string","description":"The country in which the MMO operates. \n\nFormat is ISO 3166-1 alpha-3, three character country code in upper case. Read more from [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements).\n","example":"ZMB","uniqueKey":"country","typeLabel":"string"},"preAuthorisationCode":{"minLength":1,"maxLength":36,"type":"string","pattern":"^[a-zA-Z0-9]+$","description":"For MMOs (correspondents) that use a preauthorisation code instead of a PIN prompt for authorising the deposit.","uniqueKey":"preAuthorisationCode","typeLabel":"string"},"metadata":{"description":"A list of metadata that you can attach to the payment for providing additional context about the payment.\nFor example, adding `orderId` to indicate for which order this payment was for or `customerId` to know which customer this payment pertains to.\n\nMetadata will not be visible to the customer that is party to this payment. \nIt will be visible in the PawaPay Dashboard on the payment details page and in your financial statements as a JSON object to support automated reconciliation.\nIt is also possible to search for recent payments in the PawaPay Dashboard using global search based on the values of metadata.\n\nUp to 10 metadata fields can be attached to a payment. \n","type":"array","items":{"required":["fieldName","fieldValue"],"type":"object","properties":{"fieldName":{"type":"string","description":"The name of the metadata that you are attaching to the payment. For example `orderId`.","example":"orderId","isRequired":true,"uniqueKey":"metadata.items.[INDEX].fieldName","typeLabel":"string"},"fieldValue":{"type":"string","description":"The value for this metadata field. For example `ORD-123456789`.","example":"ORD-123456789","isRequired":true,"uniqueKey":"metadata.items.[INDEX].fieldValue","typeLabel":"string"},"isPII":{"type":"boolean","default":false,"description":"Indicates whether the field contains personally identifiable information. Used for enabling compliance with GDPR or other relevant data privacy laws.","example":true,"uniqueKey":"metadata.items.[INDEX].isPII","typeLabel":"boolean"}},"uniqueKey":"metadata.items.[INDEX]","typeLabel":"object"},"example":[{"fieldName":"orderId","fieldValue":"ORD-123456789"},{"fieldName":"customerId","fieldValue":"customer@email.com","isPII":true}],"uniqueKey":"metadata","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"depositId":"\u003cINSERT_UUID_FOR_DEPOSIT>","amount":"15","currency":"ZMW","correspondent":"MTN_MOMO_ZMB","payer":{"type":"MSISDN","address":{"value":"260763456789"}},"customerTimestamp":"2020-02-21T17:32:28Z","statementDescription":"Note of 4 to 22 chars","country":"ZMB","preAuthorisationCode":"\u003cstring>","metadata":[{"fieldName":"orderId","fieldValue":"ORD-123456789"},{"fieldName":"customerId","fieldValue":"customer@email.com","isPII":true}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"87ba74dd-a47b-4563-8bf2-ca6f278a7ae9":{"description":"Request has been accepted for processing by PawaPay","content":{"application/json":{"schema":{"required":["depositId","status"],"type":"object","properties":{"depositId":{"minLength":36,"maxLength":36,"type":"string","format":"uuid","description":"The `depositId` of the deposit transaction.","example":"f4401bd2-1568-4140-bf2d-eb77d2b2b639","isRequired":true,"uniqueKey":"depositId","typeLabel":"string\u003cuuid>"},"status":{"type":"string","description":"The initiation status of the `Deposit`: \n* `ACCEPTED` - The deposit request has been **accepted** by PawaPay for processing. \n* `REJECTED` - The deposit request has been **rejected**. See `rejectionReason` for details \n* `DUPLICATE_IGNORED` - This deposit request is a duplicate and will be ignored.\n","enum":["ACCEPTED","REJECTED","DUPLICATE_IGNORED"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"created":{"type":"string","description":"The timestamp of when the deposit was created in the PawaPay platform. Format defined by 'date-time' in RFC3339 section 5.6 from [IETF](https://tools.ietf.org/html/rfc3339#section-5.6)","format":"date-time","example":"2020-02-21T17:32:29Z","uniqueKey":"created","typeLabel":"string\u003cdate-time>"},"rejectionReason":{"required":["rejectionReason"],"type":"object","properties":{"rejectionCode":{"type":"string","description":"Possible deposit rejection codes:\n* `INVALID_PAYER_FORMAT` - The payer address (phone number) is invalid.\n* `INVALID_CORRESPONDENT` - The specified correspondent is not supported.\n* `INVALID_AMOUNT` - The specified amount is not supported. \n* `AMOUNT_TOO_SMALL` - The specified amount is smaller than the minimum allowed by the MMO specified as the correspondent. \n* `AMOUNT_TOO_LARGE` - The specified amount is larger than the maximum allowed by the MMO specified as the correspondent. \n* `INVALID_CURRENCY` - The specified currency is not supported for the MMO specified as the correspondent. \n* `INVALID_COUNTRY` - The specified country is not supported for this MMO specified as the correspondent. \n* `PARAMETER_INVALID` - One or more parameters are invalid. \n* `INVALID_INPUT` - We were unable to parse the payload of the request. \n* `DEPOSITS_NOT_ALLOWED` - Deposits are not allowed for the merchant or the MMO specified as the correspondent.\n* `CORRESPONDENT_TEMPORARILY_UNAVAILABLE` - The MMO specified as the correspondent is currently experiencing an outage and processing of payments has been temporarily halted. Please refer to our [Status Page](https://status.pawapay.io) for live information about MMO availability.\n","example":"INVALID_AMOUNT","enum":["INVALID_PAYER_FORMAT","INVALID_CORRESPONDENT","INVALID_AMOUNT","AMOUNT_TOO_SMALL","AMOUNT_TOO_LARGE","INVALID_CURRENCY","INVALID_COUNTRY","PARAMETER_INVALID","INVALID_INPUT","DEPOSITS_NOT_ALLOWED","CORRESPONDENT_TEMPORARILY_UNAVAILABLE"],"uniqueKey":"rejectionReason.rejectionCode","typeLabel":"enum\u003cstring>"},"rejectionMessage":{"type":"string","description":"Additional optional rejection message","example":"You don't have access to this correspondent","uniqueKey":"rejectionReason.rejectionMessage","typeLabel":"string"}},"uniqueKey":"rejectionReason","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"ACCEPTED":{"title":"ACCEPTED","value":{"depositId":"f4401bd2-1568-4140-bf2d-eb77d2b2b639","status":"ACCEPTED","created":"2020-10-19T11:17:01Z"}},"DUPLICATE_IGNORED":{"title":"DUPLICATE_IGNORED","value":{"depositId":"f4401bd2-1568-4140-bf2d-eb77d2b2b639","status":"DUPLICATE_IGNORED","created":"2020-10-19T11:17:01Z"}},"REJECTED":{"title":"REJECTED","value":{"depositId":"f4401bd2-1568-4140-bf2d-eb77d2b2b639","status":"REJECTED","rejectionReason":{"rejectionCode":"AMOUNT_TOO_LARGE","rejectionMessage":"Amount should not be greater than 1000"}}}},"exampleType":"examples"}},"exampleType":"examples"},"a7f36669-acae-4e94-99cf-c0b6c441390b":{"description":"Request was rejected due to incompatibility with PawaPay API specification","content":{"application/json":{"schema":{"required":["errorId","errorCode","errorMessage"],"type":"object","properties":{"errorId":{"maxLength":36,"type":"string","description":"A unique error ID in the PawaPay platform.","example":"63743264-7292-11ea-bc55-0242ac130003","isRequired":true,"uniqueKey":"errorId","typeLabel":"string"},"errorCode":{"type":"integer","description":"PawaPay internal error code.","example":1,"isRequired":true,"uniqueKey":"errorCode","typeLabel":"integer"},"errorMessage":{"type":"string","description":"Error message.","example":"Internal error","isRequired":true,"uniqueKey":"errorMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Missing Mandatory Field":{"title":"Missing Mandatory Field","value":{"errorId":"4f0d5e13-7e88-4cc6-827c-8c0640dc2cd3","errorCode":1,"errorMessage":"Invalid input: Missing required property 'amount'"}}},"exampleType":"examples"}},"exampleType":"examples"},"622ed05d-faf2-4d70-9c91-ab6636808e9a":{"description":"Authentication Failure. Please check your authentication token","content":{"application/json":{"schema":{"required":["errorId","errorCode","errorMessage"],"type":"object","properties":{"errorId":{"maxLength":36,"type":"string","description":"A unique error ID in the PawaPay platform.","example":"63743264-7292-11ea-bc55-0242ac130003","isRequired":true,"uniqueKey":"errorId","typeLabel":"string"},"errorCode":{"type":"integer","description":"PawaPay internal error code.","example":1,"isRequired":true,"uniqueKey":"errorCode","typeLabel":"integer"},"errorMessage":{"type":"string","description":"Error message.","example":"Internal error","isRequired":true,"uniqueKey":"errorMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Authentication Failure":{"title":"Authentication Failure","value":{"errorId":"cad1529e-040b-4c9d-a21d-2ba3056ff750","errorCode":2,"errorMessage":"Authentication error"}}},"exampleType":"examples"}},"exampleType":"examples"},"7311a777-b2d6-459b-aa35-4723913a560f":{"description":"Authorization Failure. Please check your authentication token","content":{"application/json":{"schema":{"required":["errorId","errorCode","errorMessage"],"type":"object","properties":{"errorId":{"maxLength":36,"type":"string","description":"A unique error ID in the PawaPay platform.","example":"63743264-7292-11ea-bc55-0242ac130003","isRequired":true,"uniqueKey":"errorId","typeLabel":"string"},"errorCode":{"type":"integer","description":"PawaPay internal error code.","example":1,"isRequired":true,"uniqueKey":"errorCode","typeLabel":"integer"},"errorMessage":{"type":"string","description":"Error message.","example":"Internal error","isRequired":true,"uniqueKey":"errorMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Authorization Failure":{"title":"Authorization Failure","value":{"errorId":"daa495f0-541d-4192-b636-a8877b25a510","errorCode":3,"errorMessage":"Authorization error"}}},"exampleType":"examples"}},"exampleType":"examples"},"001cd7b7-b89d-48cc-9012-8d8ccb8cecf6":{"description":"Internal Server Error","content":{"application/json":{"schema":{"required":["errorId","errorCode","errorMessage"],"type":"object","properties":{"errorId":{"maxLength":36,"type":"string","description":"A unique error ID in the PawaPay platform.","example":"63743264-7292-11ea-bc55-0242ac130003","isRequired":true,"uniqueKey":"errorId","typeLabel":"string"},"errorCode":{"type":"integer","description":"PawaPay internal error code.","example":1,"isRequired":true,"uniqueKey":"errorCode","typeLabel":"integer"},"errorMessage":{"type":"string","description":"Error message.","example":"Internal error","isRequired":true,"uniqueKey":"errorMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"System Error":{"title":"System Error","value":{"errorId":"d428a89e-fa8b-42b8-ba20-68be20d50af1","errorCode":0,"errorMessage":"Internal error"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"38397491-e1d3-47bd-a29e-385725b84bce":{"bearerAuth":{"type":"http","description":"See [Authentication](/using_the_api#authentication).","scheme":"bearer","bearerFormat":"JWT","scopes":[]}}},"servers":{"321c7a20-9195-42cf-bd7e-d3f33a9abfd1":{"url":"https://api.sandbox.pawapay.io","description":"PawaPay Merchant API sandbox"},"0a99643b-f413-409a-af4c-2db4372b65d3":{"url":"https://api.pawapay.io","description":"PawaPay Merchant API production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"See [Authentication](/using_the_api#authentication).","scheme":"bearer","bearerFormat":"JWT","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"See [Authentication](/using_the_api#authentication).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"v1/api-reference/openapi_v1.yaml"},"subdomain":"pawapay","siteName":"PawaPay Merchant API","title":"Request deposit - PawaPay Merchant API","navMaps":{"firstHrefInVersion":{"v2":{"href":"/v2/api-reference/deposits/initiate-deposit","matchLevel":2},"v1":{"href":"/v1/api-reference/deposits/request-deposit","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-10-28T13:42:35.092Z","originalFileLocation":"v1/api-reference/deposits/request-deposit.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"PawaPay Merchant API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Request deposit - PawaPay Merchant API\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"PawaPay Merchant API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pawapay.mintlify.app/_mintlify/api/og/v2?division=Deposits\u0026amp;title=Request+deposit\u0026amp;theme=119b7819cefae4f702f94c70\u0026amp;signature=e1ea87d0185d44f3340ed875da89ce13431b51557d6f7fdd018d1f0579c41376\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Request deposit - PawaPay Merchant API\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pawapay.mintlify.app/_mintlify/api/og/v2?division=Deposits\u0026amp;title=Request+deposit\u0026amp;theme=119b7819cefae4f702f94c70\u0026amp;signature=e1ea87d0185d44f3340ed875da89ce13431b51557d6f7fdd018d1f0579c41376\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/pawapay/1ir90k4Vxmsj1N5e/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"PawaPay Merchant API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7D3CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/api-reference/deposits/request-deposit.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.pawapay.io/#organization\",\"name\":\"PawaPay Merchant API\",\"url\":\"https://docs.pawapay.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/pawapay/Kh3dyKjADbJS5N9-/images/pawapay_logo_black.svg?fit=max\u0026auto=format\u0026n=Kh3dyKjADbJS5N9-\u0026q=85\u0026s=dcb6b0f2f8b6c6e735e80732b4b9a8a0\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.pawapay.io#website\",\"name\":\"PawaPay Merchant API\",\"url\":\"https://docs.pawapay.io\",\"publisher\":{\"@id\":\"https://docs.pawapay.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit#webpage\",\"url\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit\",\"name\":\"Request deposit\",\"dateModified\":\"2026-10-28T13:42:35.092Z\",\"isPartOf\":{\"@id\":\"https://docs.pawapay.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"PawaPay Merchant API\",\"item\":\"https://docs.pawapay.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Request deposit\",\"item\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit#apireference\",\"headline\":\"Request deposit\",\"name\":\"Request deposit\",\"url\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit\",\"mainEntityOfPage\":{\"@id\":\"https://docs.pawapay.io/v1/api-reference/deposits/request-deposit#webpage\"},\"dateModified\":\"2026-10-28T13:42:35.092Z\",\"publisher\":{\"@id\":\"https://docs.pawapay.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.pawapay.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"PawaPay Merchant API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"PawaPay Merchant API","nav":{"global":{"anchors":[{"anchor":"Run in Postman","icon":"circle-play","href":"https://app.getpostman.com/run-collection/25129489-56cbaf62-56c2-4734-bf1f-f61d369cc9e3?action=collection%2Ffork\u0026source=rip_markdown\u0026collection-url=entityId%3D25129489-56cbaf62-56c2-4734-bf1f-f61d369cc9e3%26entityType%3Dcollection%26workspaceId%3D8c3e7775-3da5-4bab-8a8c-ffb331ccfe27"}]},"versions":[{"version":"v2","pages":[{"title":"v2","href":"/v2/api-reference/deposits/initiate-deposit"}]},{"version":"v1","tabs":[{"tab":"API docs","pages":[{"title":"API docs","href":"/getting_started"}]},{"tab":"API Reference","groups":[{"group":"Deposits","pages":[{"openapi":"openapi_v1 post /deposits","title":"Request deposit","href":"/v1/api-reference/deposits/request-deposit"},{"openapi":"openapi_v1 get /deposits/{depositId}","description":null,"title":"Check deposit status","href":"/v1/api-reference/deposits/check-deposit-status"},{"openapi":"openapi_v1 post /deposits/resend-callback","title":"Resend deposit callback","href":"/v1/api-reference/deposits/resend-deposit-callback"},{"title":"Deposit callback","icon":"webhook","href":"/v1/api-reference/deposits/deposit-callback"}]},{"group":"Payouts","pages":[{"openapi":"openapi_v1 post /payouts","title":"Request payout","href":"/v1/api-reference/payouts/request-payout"},{"openapi":"openapi_v1 get /payouts/{payoutId}","title":"Check payout status","href":"/v1/api-reference/payouts/check-payout-status"},{"openapi":"openapi_v1 post /payouts/resend-callback","title":"Resend payout callback","href":"/v1/api-reference/payouts/resend-payout-callback"},{"openapi":"openapi_v1 post /payouts/fail-enqueued/{payoutId}","title":"Cancel enqueued payout","href":"/v1/api-reference/payouts/cancel-enqueued-payout"},{"openapi":"openapi_v1 post /payouts/bulk","title":"Request bulk payout","href":"/v1/api-reference/payouts/request-bulk-payout"},{"title":"Payout callback","icon":"webhook","href":"/v1/api-reference/payouts/payout-callback"}]},{"group":"Refunds","pages":[{"openapi":"openapi_v1 post /refunds","title":"Request refund","href":"/v1/api-reference/refunds/request-refund"},{"openapi":"openapi_v1 get /refunds/{refundId}","title":"Check refund status","href":"/v1/api-reference/refunds/check-refund-status"},{"openapi":"openapi_v1 post /refunds/resend-callback","title":"Resend refund callback","href":"/v1/api-reference/refunds/resend-refund-callback"},{"title":"Refund callback","icon":"webhook","href":"/v1/api-reference/refunds/refund-callback"}]},{"group":"Payment page","pages":[{"openapi":"openapi_v1 post /v1/widget/sessions","title":"Deposit via Payment Page","href":"/v1/api-reference/payment-page/deposit-via-payment-page"}]},{"group":"Wallet balances","pages":[{"openapi":"openapi_v1 get /v1/wallet-balances","title":"Wallet balances","href":"/v1/api-reference/wallet-balances/wallet-balances"},{"openapi":"openapi_v1 get /v1/wallet-balances/{country}","title":"Wallet balances for country","href":"/v1/api-reference/wallet-balances/wallet-balances-for-country"}]},{"group":"Toolkit","pages":[{"openapi":"openapi_v1 get /active-conf","title":"Active Configuration","href":"/v1/api-reference/toolkit/active-configuration"},{"openapi":"openapi_v1 get /availability","title":"Correspondent Availability","href":"/v1/api-reference/toolkit/availability"},{"openapi":"openapi_v1 post /v1/predict-correspondent","title":"Predict Correspondent","href":"/v1/api-reference/toolkit/predict-correspondent"},{"openapi":"openapi_v1 get /public-key/http","title":"Public Keys","href":"/v1/api-reference/toolkit/public-keys"}]}]},{"tab":"Dashboard Docs","pages":[{"title":"Dashboard Docs","href":"/dashboard/introduction"}]}]}]},"basePath":"","title":"Request deposit - PawaPay Merchant API","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}